# Uses of Class
org.eclipse.ui.SubActionBars

Packages that use SubActionBars
Package
Description
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.internal
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.

## Uses of SubActionBars in org.eclipse.ui

Subclasses of SubActionBars in org.eclipse.ui
Modifier and Type
Class
Description
`class`
`SubActionBars2`
A implementation of the extended `IActionBars2` interface.

## Uses of SubActionBars in org.eclipse.ui.internal

Subclasses of SubActionBars in org.eclipse.ui.internal
Modifier and Type
Class
Description
`class`
`ActionSetActionBars`
This class represents the action bars for an action set.
`class`
`EditorActionBars`
The action bars for an editor.
Methods in org.eclipse.ui.internal with parameters of type SubActionBars
Modifier and Type
Method
Description
`void`
EditorSite.`setActionBars(SubActionBars bars)`
`void`
PartSite.`setActionBars(SubActionBars bars)`
Sets the action bars for the part.

## Uses of SubActionBars in org.eclipse.ui.part

Fields in org.eclipse.ui.part declared as SubActionBars
Modifier and Type
Field
Description
`SubActionBars`
PageBookView.PageRec.`subActionBars`
The page's action bars